Nat448 (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.math.raw

## Class Nat448

- java.lang.Object
- - org.bouncycastle.math.raw.Nat448

-     public abstract class Nat448
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Nat448()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `copy64(long[] x, int xOff, long[] z, int zOff)`
    `static void` | `copy64(long[] x, long[] z)`
    `static long[]` | `create64()`
    `static long[]` | `createExt64()`
    `static boolean` | `eq64(long[] x, long[] y)`
    `static long[]` | `fromBigInteger64(java.math.BigInteger x)`
    `static boolean` | `isOne64(long[] x)`
    `static boolean` | `isZero64(long[] x)`
    `static void` | `mul(int[] x, int[] y, int[] zz)`
    `static void` | `square(int[] x, int[] zz)`
    `static java.math.BigInteger` | `toBigInteger64(long[] x)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Nat448

          public Nat448()

  - ### Method Detail

    - #### copy64

          public static void copy64(long[] x,
                                    long[] z)

    - #### copy64

          public static void copy64(long[] x,
                                    int xOff,
                                    long[] z,
                                    int zOff)

    - #### create64

          public static long[] create64()

    - #### createExt64

          public static long[] createExt64()

    - #### eq64

          public static boolean eq64(long[] x,
                                     long[] y)

    - #### fromBigInteger64

          public static long[] fromBigInteger64(java.math.BigInteger x)

    - #### isOne64

          public static boolean isOne64(long[] x)

    - #### isZero64

          public static boolean isZero64(long[] x)

    - #### mul

          public static void mul(int[] x,
                                 int[] y,
                                 int[] zz)

    - #### square

          public static void square(int[] x,
                                    int[] zz)

    - #### toBigInteger64

          public static java.math.BigInteger toBigInteger64(long[] x)